Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.servlet
Class CurrentHealthChartServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.hyperic.hq.ui.servlet.ParameterizedServlet
                  org.hyperic.hq.ui.servlet.ImageServlet
                      org.hyperic.hq.ui.servlet.ChartServlet
                          org.hyperic.hq.ui.servlet.VerticalChartServlet
                              org.hyperic.hq.ui.servlet.CurrentHealthChartServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  AvailHealthChartServlet, UsageHealthChartServlet

    public abstract class CurrentHealthChartServlet

extends VerticalChartServlet

CurrentHealth chart servlet. The default `imageWidth` is 250 pixels. The default `imageHeight` is 130 pixels.

by default, this servlet will display an 8 column chart for the past 8 hours at 1 hour intervals based on the metric category returned by the ``getMetricCategory`()`.

Additional parameters are as follows (any required parameters are in italics):

key | value
--- | ---
eid | <string or string[]>
ctype | <integer>

See Also:
  Serialized Form

Field Summary
`static int` | `IMAGE_HEIGHT_DEFAULT` Default image height.
`static int` | `IMAGE_WIDTH_DEFAULT` Default image width.
`protected static long` | `INTERVAL` Interval for metrics.

Fields inherited from class org.hyperic.hq.ui.servlet.VerticalChartServlet
`COLLECTION_TYPE_PARAM`

Fields inherited from class org.hyperic.hq.ui.servlet.ChartServlet
`BASELINE_PARAM, HIGHRANGE_PARAM, LOWRANGE_PARAM, SHOW_AVERAGE_PARAM, SHOW_BASELINE_PARAM, SHOW_HIGHRANGE_PARAM, SHOW_LOW_PARAM, SHOW_LOWRANGE_PARAM, SHOW_PEAK_PARAM, SHOW_VALUES_PARAM, UNIT_SCALE_PARAM, UNIT_UNITS_PARAM`

Fields inherited from class org.hyperic.hq.ui.servlet.ImageServlet
`IMAGE_FORMAT_JPEG, IMAGE_FORMAT_PARAM, IMAGE_FORMAT_PNG, IMAGE_HEIGHT_PARAM, IMAGE_WIDTH_PARAM`

Constructor Summary
`CurrentHealthChartServlet()`

Method Summary
`protected int` | `getDefaultImageHeight()` Return the default `imageHeight`.
`protected int` | `getDefaultImageWidth()` Return the default `imageWidth`.
`protected abstract java.lang.String` | `getMetricCategory()` Return the corresponding measurement category.
`protected void` | `initializeChart(Chart chart, javax.servlet.http.HttpServletRequest request)` Initialize the chart.
`protected void` | `plotData(javax.servlet.http.HttpServletRequest request, Chart chart, ChartDataBean dataBean)` This method will be called automatically by the ChartServlet.

Methods inherited from class org.hyperic.hq.ui.servlet.VerticalChartServlet
`getDefaultCollectionType, getTrendForCollectionType, parseParameters`

Methods inherited from class org.hyperic.hq.ui.servlet.ChartServlet
`createChart, createImage, getDefaultShowAverage, getDefaultShowBaseline, getDefaultShowHighRange, getDefaultShowLow, getDefaultShowLowRange, getDefaultShowPeak, getDefaultShowValues, getDefaultUnitScale, getDefaultUnitUnits, getShowAvg, getShowLow, getShowPeak, renderJpegImage, renderPngImage`

Methods inherited from class org.hyperic.hq.ui.servlet.ImageServlet
`doGet, getDefaultImageFormat, getImageHeight, getImageWidth, init`

Methods inherited from class org.hyperic.hq.ui.servlet.ParameterizedServlet
`invalidParamErr, invalidParamErr, invalidParamWarn, invalidParamWarn, invalidParamWarn, invalidParamWarn, invalidParamWarn, parseBooleanParameter, parseDoubleParameter, parseIntParameter, parseLongParameter, parseRequiredBooleanParameter, parseRequiredDoubleParameter, parseRequiredIntParameter, parseRequiredLongParameter, parseRequiredStringParameter, parseRequiredStringParameter, parseStringParameter, parseStringParameter, requiredParamErr`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INTERVAL

    protected static final long INTERVAL

  Interval for metrics.

  See Also:
    Constant Field Values

### IMAGE_WIDTH_DEFAULT

    public static final int IMAGE_WIDTH_DEFAULT

  Default image width.

  See Also:
    Constant Field Values

### IMAGE_HEIGHT_DEFAULT

    public static final int IMAGE_HEIGHT_DEFAULT

  Default image height.

  See Also:
    Constant Field Values

Constructor Detail

### CurrentHealthChartServlet

    public CurrentHealthChartServlet()

Method Detail

### getDefaultImageWidth

    protected int getDefaultImageWidth()

  Return the default `imageWidth`.

  Overrides:
    `getDefaultImageWidth` in class `ChartServlet`

### getDefaultImageHeight

    protected int getDefaultImageHeight()

  Return the default `imageHeight`.

  Overrides:
    `getDefaultImageHeight` in class `ChartServlet`

### getMetricCategory

    protected abstract java.lang.String getMetricCategory()

  Return the corresponding measurement category.

  Returns:
    ``org.hyperic.hq.measurement.MeasurementConstants.CAT_AVAILABILITY`` or ``org.hyperic.hq.measurement.MeasurementConstants.CAT_THROUGHPUT`` or ``org.hyperic.hq.measurement.MeasurementConstants.CAT_PERFORMANCE`` or ``org.hyperic.hq.measurement.MeasurementConstants.CAT_UTILIZATION``

### initializeChart

    protected void initializeChart(Chart chart,
                                   javax.servlet.http.HttpServletRequest request)

  Description copied from class: `VerticalChartServlet`
  Initialize the chart. This method will be called after the parameters have been parsed and the chart has been created.

  Overrides:
    `initializeChart` in class `VerticalChartServlet`
  Parameters:
    `chart` - the chart
    `request` - TODO

### plotData

    protected void plotData(javax.servlet.http.HttpServletRequest request,
                            Chart chart,
                            ChartDataBean dataBean)
                     throws javax.servlet.ServletException

  This method will be called automatically by the ChartServlet. It should handle adding data to the chart, setting up the X and Y axis labels, etc.

  Specified by:
    `plotData` in class `ChartServlet`
  Parameters:
    `request` - the HTTP request
    `dataBean` - TODO
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.